Bug 1272108 - [DOC] External network should be documents in RDO manager installation
[DOC] External network should be documents in RDO manager installation
Product: RDO
Classification: Community
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: Liberty
Assigned To: RHOS Documentation Team
RHOS Documentation Team
: UserExperience
Depends On:
  Show dependency treegraph
Reported: 2015-10-15 09:58 EDT by Ofer Blaut
Modified: 2017-06-18 02:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-06-18 02:36:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ofer Blaut 2015-10-15 09:58:28 EDT
Description of problem:

When using RDO manager virt setup , there is no document on :

1. how to create external network for floating ip using default flat installation

source overcloudrc
 neutron net-create admin-ext --provider:network_type flat --providerhysical_network datacentre --router:external
 neutron subnet-create --name admin-ext-sub --disable-dhcp admin-ext --allocation_pools list=true type=dict start=,end= --gateway_ip=

2. when using network isolation , there is no document how to create interface on the instack host to access the external network ( which is alreday documented )

1. Add interface in vlan 10 (external net) and assign it an IP from the
external net on the undercloud node:

$ ovs-vsctl add-port br-ctlplane vlan10 tag=10 -- set interface vlan10
   type=internal \
    ip l set dev vlan10 up; ip addr add dev vlan10

2. Add masquerade rule for the external net subnet on undercloude node:

   $ iptables -A BOOTSTACK_MASQ -s ! -d -j
   MASQUERADE -t nat

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Christopher Brown 2017-06-17 12:41:51 EDT
Creating an external network is now documented so this can be closed.

Note You need to log in before you can comment on or make changes to this bug.